Cards, prop trading & accounting
Start Prop Trader Kyc
Starts the caller's Persona prop-trader inquiry exactly once, reconciling any existing inquiry and returning a hosted link.
POSThttps://api.toku.com/hris/start-prop-trader-kyc
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/start-prop-trader-kyc' \
--header 'Authorization: Bearer <token>'200 response
{
"state": "NOT_CONFIGURED",
"hostedLink": "string",
"canResume": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
statestringrequiredAvailable options: NOT_CONFIGURED, NOT_STARTED, PENDING, SUBMITTED, APPROVED, REJECTED, EXPIRED, PROVIDER_ERROR
hostedLinkstring | nullrequiredcanResumebooleanrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits